Module javafx.base
Package javafx.beans.value

## Interface ObservableDoubleValue

- All Superinterfaces:
    `Observable`, `ObservableNumberValue`, `ObservableValue<Number>`
  All Known Implementing Classes:
    `DoubleBinding`, `DoubleExpression`, `DoubleProperty`, `DoublePropertyBase`, `JavaBeanDoubleProperty`, `ReadOnlyDoubleProperty`, `ReadOnlyDoublePropertyBase`, `ReadOnlyDoubleWrapper`, `ReadOnlyJavaBeanDoubleProperty`, `SimpleDoubleProperty`, `SimpleStyleableDoubleProperty`, `StyleableDoubleProperty`

      public interface ObservableDoubleValue
      extends ObservableNumberValue

  An observable double value.
  Since:
    JavaFX 2.0
  See Also:
    `ObservableValue`, `ObservableNumberValue`

- - ### Method Summary

    Modifier and Type | Method | Description
    --- | --- | ---
    `double` | `get()` | Returns the current value of this `ObservableDoubleValue`.

    - ### Methods inherited from interface javafx.beans.Observable

      `addListener, removeListener`

    - ### Methods inherited from interface javafx.beans.value.ObservableNumberValue

      `doubleValue, floatValue, intValue, longValue`

    - ### Methods inherited from interface javafx.beans.value.ObservableValue

      `addListener, getValue, removeListener`

- - ### Method Detail

    - #### get

          double get()

      Returns the current value of this `ObservableDoubleValue`.
      Returns:
        The current value